// Config1Dlg.cpp : 구현 파일입니다.
//

#include "stdafx.h"
#include "Config1Dlg.h"


// CConfig1Dlg 대화 상자입니다.

IMPLEMENT_DYNAMIC(CConfig1Dlg, CDialog)
CConfig1Dlg::CConfig1Dlg(CWnd* pParent /*=NULL*/)
	: CConfigSubDlg(CConfig1Dlg::IDD, pParent)
	, m_nAfterWork(0)
	, m_bForceKill(FALSE)
{
}

CConfig1Dlg::~CConfig1Dlg()
{
}

void CConfig1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Radio(pDX, IDC_RDO_AFTERWORK1, m_nAfterWork);
	DDX_Check(pDX, IDC_CHK_FORCEKILL, m_bForceKill);
}


BEGIN_MESSAGE_MAP(CConfig1Dlg, CDialog)
	ON_BN_CLICKED(IDC_RDO_AFTERWORK1, OnRdoAfterwork)
	ON_BN_CLICKED(IDC_RDO_AFTERWORK2, OnRdoAfterwork)
	ON_BN_CLICKED(IDC_RDO_AFTERWORK3, OnRdoAfterwork)
	ON_BN_CLICKED(IDC_RDO_AFTERWORK4, OnRdoAfterwork)
END_MESSAGE_MAP()


// CConfig1Dlg 메시지 처리기입니다.

BOOL CConfig1Dlg::OnInitDialog()
{
	CConfigSubDlg::OnInitDialog();

	// TODO:  여기에 추가 초기화 작업을 추가합니다.
	OnRdoAfterwork();

	return TRUE;  // return TRUE unless you set the focus to a control
	// 예외: OCX 속성 페이지는 FALSE를 반환해야 합니다.
}

void CConfig1Dlg::OnRdoAfterwork()
{
	UpdateData(TRUE);

	GetDlgItem(IDC_CHK_FORCEKILL)->EnableWindow(m_nAfterWork != 0);
}
